# std::_Result_of_impl< true, _Functor(_ArgTypes...)> Struct Template Reference

List of all members.

## Detailed Description

### template<typename _Functor, typename... _ArgTypes>
struct std::_Result_of_impl< true, _Functor(_ArgTypes...)>

We already know the result type for `Functor`; use it.

Definition at line 187 of file tr1_impl/functional.

## Public Types

- typedef _Weak_result_type<
  _Functor >::result_type type

The documentation for this struct was generated from the following file:

- tr1_impl/functional